fd=fopen("Fluke_10.05K_Blk_1%_tempco_sweep_9_01_2023_9_20_45_PM_Log.txt","r");
rows=[];
do
  [id,instr,Y,M,D,h,m,s,R,temp,hum,count]=fscanf(fd,"%d %s %u-%u-%u_%u:%u:%u %f %f %f","C");
  [days]=datenum(Y,M,D,h,m,s);
  t=days;
  rows=[rows;[t R temp hum]];
until (count != 11)
fclose(fd);
jt=1;
jR=2;
jtemp=3;
jhum=4;
m=length(rows);
t0=rows(1,jt);
ts=(rows(:,jt)-t0)*86400;
Rs=rows(:,jR);
temps=rows(:,jtemp);
hums=rows(:,jhum);

i1=min(find(ts>=3600));

t_start_h=1;

temps_sel=temps(i1:end);
[temps_sel,idx]=sort(temps_sel);
Rs_sel=Rs(i1:end)(idx);

m=length(Rs_sel);
model=[ones(m,1) temps_sel];
beta=ols(Rs_sel,model);
Rs_pred=model*beta;
Rs_res=Rs_sel-Rs_pred;
Rsq=1-var(Rs_res)/var(Rs_sel);

subplot(2,3,1);
plot(ts/3600,Rs);
grid;
xlabel("t (h)")
ylabel("R (ohm)");

subplot(2,3,2);
plot(ts/3600,temps);
grid;
xlabel("t (h)")
ylabel("T (°C)");

subplot(2,3,3);
plot(ts/3600,hums);
grid;
xlabel("t (h)")
ylabel("Rel. hum (%)");

subplot(2,3,4);
plot(temps,Rs,'o');
grid;
xlabel("T (°C)");
ylabel("R (ohm)");

subplot(2,3,5);
plot(hums,Rs,'o');
grid;
xlabel("Rel. hum (%)");
ylabel("R (ohm)");

subplot(2,3,6);
plot(temps_sel,[Rs_sel,Rs_pred],['.';'-']);
grid;
xlabel(sprintf("T (°C) (after %gh)",t_start_h));
ylabel("R (ohm)");
legend(["R";"R (predicted)"]);
title(sprintf("R = %g %+g T\nR^2 = %.2g",beta(1),beta(2),Rsq));
